{% extends "base.html" %}

{% block content %}
<!--

    <div id="soluciones-box" style="width: 60%; margin: 0 auto; background-color: #b0f2c2; padding: 20px; text-align: center;">
        <h2>Soluciones</h2>
        <div class="solution-container">
        <div class="video-carousel" style="width: 80%; margin: 0 auto;">
            <div class="video-slide">
                <iframe src="https://www.youtube.com/embed/VIDEO_ID_1" frameborder="0" allowfullscreen></iframe>
            </div>
            <div class="video-slide">
                <iframe src="https://www.youtube.com/embed/VIDEO_ID_2" frameborder="0" allowfullscreen></iframe>
            </div>
            <div class="video-slide">
                <iframe src="https://www.youtube.com/embed/VIDEO_ID_3" frameborder="0" allowfullscreen></iframe>
            </div>
            <div class="video-slide">
                <iframe src="https://www.youtube.com/embed/VIDEO_ID_4" frameborder="0" allowfullscreen></iframe>
            </div>
            <div class="video-slide">
                <iframe src="https://www.youtube.com/embed/VIDEO_ID_5" frameborder="0" allowfullscreen></iframe>
            </div>
            <div class="video-slide">
                <iframe src="https://www.youtube.com/embed/VIDEO_ID_6" frameborder="0" allowfullscreen></iframe>
            </div>
        </div>

        <script>
            const carousel = document.getElementById('video-carousel');
            let currentIndex = 0;
        
            function nextSlide() {
                currentIndex = (currentIndex + 1) % carousel.children.length;
                updateCarousel();
            }
        
            function prevSlide() {
                currentIndex = (currentIndex - 1 + carousel.children.length) % carousel.children.length;
                updateCarousel();
            }
        
            function updateCarousel() {
                const translateValue = -currentIndex * 100 + '%';
                carousel.style.transform = 'translateX(' + translateValue + ')';
            }
        
            const nextButton = document.getElementById('nextButton');
            const prevButton = document.getElementById('prevButton');
        
            nextButton.addEventListener('click', nextSlide);
            prevButton.addEventListener('click', prevSlide);
        </script>
        <button id="prevButton">Left</button>
        <button id="nextButton">Right</button>
        
        <style>
            .video-carousel{
                display : flex;
                flex-direction: row;
                
            }

            .video-slide{
                    width:100% ;
                    flex: 0 0 auto;
                    transition: transform 0.5 ease-in-out;
            }
        </style>
        
         <script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>
        <script src="https://cdn.jsdelivr.net/jquery.slick/1.6.0/slick.min.js"></script>
        <script>
            $(document).ready(function(){
                $('.video-carousel').slick({
                    infinite: true,
                    slidesToShow: 3,
                    slidesToScroll: 3,
                    autoplay: true,
                    prevArrow: '<button type="button" class="slick-prev">Previous</button>',
                    nextArrow: '<button type="button" class="slick-next">Next</button>',
                });
            });
        </script>
    </div>
<section>
</section>
    <section id="barre_de_tache">
        {% include "lang.html" %}
        <section id="menu_sect">
            <select id="menu">
                <option value="fr"> <button>{{ _('Option') }} 1</button></option>
                <option value="en">opt2</option>
            </select>

        </section>

        <nav>
            <a href="https://fr.wikipedia.org/" target="_blank">Wiki</a>
        </nav>
        
    </section>
-->
{% include "quote.html" %}

{% include "map.html" %}

</section>

<section id="co2_test" class="bg-white p-2 rounded">
    <a href="https://nosgestesclimat.fr/simulateur/bilan?question=transport.voiture.utilisateur_r%C3%A9gulier"
        target="_blank">
        <img src="{{url_for('static',filename='NGC_logo.png')}}" alt="{{ _('GES Emission Test') }}">
    </a>
</section>

{% endblock %}